## net.sf.antcontrib.antserver.server
Class Server

    java.lang.Object
      net.sf.antcontrib.antserver.server.Server

All Implemented Interfaces:
  java.lang.Runnable

    public class Server

extends java.lang.Object
implements java.lang.Runnable

Place class description here.

Since:
Author:
  Matthew Inger, <additional author>

Constructor Summary
`Server(ServerTask task, int port)`

Method Summary
`void` `run()`
`void` `start()`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Server

    public Server(ServerTask task,
                  int port)

Method Detail

### start

    public void start()
               throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### stop

    public void stop()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`